#To build with EPEL7:
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:			gtkdialog
Version:		0.8.3
Release:		13%{?dist}
Summary:		Fast and easy GUI builder
License:		GPLv2
URL:			https://code.google.com/p/gtkdialog/
Source:			https://gtkdialog.googlecode.com/files/%{name}-%{version}.tar.gz

Patch0:         gtkdialog-fix-make-install.patch

BuildRequires:	libglade2-devel
BuildRequires:	gtk2-devel
BuildRequires:	vte-devel
BuildRequires:	flex
BuildRequires:	bison
BuildRequires:	glib2-devel
BuildRequires:	byacc

Requires(post): info
Requires(preun):info

%description
Gtkdialog is a small utility for fast and easy GUI building. It can be used to
create dialog boxes for almost any interpreted and compiled programs which is
a very attractive feature since the developer does not have to learn various
GUI languages for the miscellaneous programming languages. 

%package doc
Summary: Documentation files for %{name}
BuildArch: noarch

%description doc
This package contains documentation files for %{name}.

%prep
%setup -q
chmod 644 examples/*/*
#Fix to built by %%make_install by Michael Schwendt
%patch0 -p0
sed -i s:/usr/local/bin/gtkdialog:%{_bindir}/gtkdialog:g doc/gtkdialog.info
sed -i s:/usr/local/bin/gtkdialog:%{_bindir}/gtkdialog:g doc/gtkdialog.texi
sed -i s:/usr/local/bin/gtkdialog:%{_bindir}/gtkdialog:g examples/miscellaneous/standalone_file
chmod +x examples/glade/glade-entries_functions.functions
%configure

%build
make %{?_smp_mflags}

%install
%make_install
mkdir -p %{buildroot}%{_docdir}/%{name}
mkdir -p %{buildroot}%{_datadir}/%{name}
cp -rp doc/reference %{buildroot}%{_pkgdocdir}
cp -rp examples %{buildroot}%{_pkgdocdir}

rm -f %{buildroot}%{_datadir}/info/dir
rm -f %{buildroot}%{_pkgdocdir}/reference/export
rm -f %{buildroot}%{_datadir}/icons/hicolor/icon-theme.cache

%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%post doc
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun doc
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%files
%{_bindir}/gtkdialog
%{_datadir}/icons/hicolor/32x32/apps/gtkdialog.png
%doc AUTHORS ChangeLog COPYING NEWS README TODO

%files doc
%{_datadir}/info/%{name}.info.gz
%{_pkgdocdir}/
%exclude %{_pkgdocdir}/AUTHORS
%exclude %{_pkgdocdir}/ChangeLog
%exclude %{_pkgdocdir}/COPYING
%exclude %{_pkgdocdir}/NEWS
%exclude %{_pkgdocdir}/README
%exclude %{_pkgdocdir}/TODO

%changelog
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.8.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Nov 26 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-8
- Fix examples ATTRs
- Change patch name

* Tue Nov 25 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-7
- Use rm -f for all
- Compatible with EPEL7

* Tue Nov 25 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-6
- Condition to remove /info/dir
- Delete one tab from every tag
- Use recomended patch name

* Sun Nov 23 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-5
- Remanagment of docs by Parag AN(पराग)
- Fix to built by %%make_install by Michael Schwendt
- General revision

* Sun Nov 23 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-4
- Fixes.

* Tue Mar 25 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-3
- Fixes.

* Thu Mar 20 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-2
- Fixes.

* Tue Feb 18 2014 Mosaab Alzoubi <moceap@hotmail.com> - 0.8.3-1
- Initial build.
